﻿
@model List<Avira.MarketingResearch.Model.ViewModels.ImportExport.ImportRequestViewModel>
<div id="content" class="">
    <div class="section-with-top-border">
       
        <div class="col-md-12">
            <!-- begin panel -->
            <div class="panel">
                <div class="table-responsive">
                    <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle product-service-table">
                        <thead>
                            <tr class="inverse">
                                <th class="text-center p-name">Template Name</th>
                                <th class="text-center p-name">Import File Name</th>
                                <th class="text-center p-name">Actul File Name</th>
                                <th class="text-center p-name">Status Name</th>
                                <th class="text-center p-name">Imported Date</th>
                                <th class="text-center p-name">Import Exception</th>
                                <th class="text-center p-name">Processed Date </th>
                                <th class="text-center p-name">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @for (int k = 0; k < Model.Count; k++)
                            {
                            <tr>
                                <td class="text-center">
                                    @Model[k].TemplateName
                                </td>
                                <td class="text-center">
                                    @Model[k].ImportFileName
                                </td>
                                <td class="text-center">
                                    @Model[k].FileName
                                </td>
                                <td class="text-center">
                                    @Model[k].StatusName
                                </td>
                                <td class="text-center">
                                    @Model[k].ImportedOn.ToString("dd/MMM/yyyy hh:mm:ss")
                                </td>
                                <td class="text-center">
                                    @Model[k].ImportException
                                </td>
                                <td class="text-center">
                                    @if (Model[k].ModifiedOn != null && Model[k].ModifiedOn != DateTime.MinValue)
                                    {
                                        @Model[k].ModifiedOn.ToString("dd/MMM/yyyy hh:mm:ss")
                                    }
                                </td>
                                <td class="text-center">
                                    @if (!string.IsNullOrEmpty(Model[k].ImportExceptionFilePath))
                                    {
                                        @Html.ActionLink("Download", "ExcelDownload", "ImportRequest", new { Id = Model[k].Id })
                                    }
                                </td>

                            </tr>
                            }



                        </tbody>
                    </table>
                </div>
            </div>
        </div>




    </div>
</div>

